Document osx_image: xcode11.4

The list of supported XCode versions does not include 11.4 – despite Xcode 11.4 release as per https://changelog.travis-ci.com/xcode-11-4-released-144748 – which even explicitly links to https://docs.travis-ci.com/user/languages/objective-c/#supported-xcode-versions.

Due to XCode 11.4 image uses macOS version that is unsupported by that version of XCode, you may want to first migrate the build image to OSX 10.15 before officially documenting its support.

Imprint